## Warmup Assignment

This assignment will involve placing this template under the `/0-Warmup` directory in your new Git Repository.  You must provide answers to your questions using markdown syntax.  For those who have never used markdown or need a refresher you can go to [GitHubs Markdown Reference Page](https://docs.github.com/en/get-started/writing-on-github/getting-started-with-writing-and-formatting-on-github/basic-writing-and-formatting-syntax).  Note that the markdown guide works for both GitHub and GitLab, files must have a `.md` extension for GitHub/GitLab to render them properly.  

Given the above, please complete the following tasks and answer the following questions by modifying this template with your answers.

1. As mentioned in the introductory lecture (and in the course syllabus) all of your work should be done in a Linux environment.  You may use Drexel-CCI's tux cluster, or you may work on your local machine after you setup a Linux virtual machine on it.  There are many different Linux distributions out there, while any should work, I would highly suggest you use the Ubuntu distribution since this is what I am using and what tux uses.   Some suggestions that work well for setting up Linux on your laptop:

    - Windows:  Windows Subsystem for Linux (WSL) - [SETUP DIRECTIONS](https://learn.microsoft.com/en-us/windows/wsl/install)

    - MacOS:  I highly recommend installing OrbStack and using its Virtual Machine feature.  Orbstack is free to use for non-commercial projects. [GETTING ORBSTACK FOR MACOS](https://orbstack.dev/).

    - Other Options:  There are other, but in my opinion, much more complicated ways to setup a linux virtual machine on MacOS or Windows. The WSL and OrbStack suggestions are going to be the easiest for you, but these options do not provide a Linux GUI.  We will not be using any Linux GUI in this class, but if you want to try other more involved VMs that include Linux GUIs you might want to look at: [VMWare Fusion](https://knowledge.broadcom.com/external/article/315638/download-and-install-vmware-fusion.html) or [Oracle VirtualBox](https://www.oracle.com/virtualization/technologies/vm/downloads/virtualbox-downloads.html).

2. The tux cluster has all required tools on it for this class.  If you choose to run your own Linux environment you may need to install some of them.  On Ubuntu this is done using the `sudo apt-get install ....` command.  Please ensure you can run `gcc`, `gdb`, `git`, `objdump`, and `readelf`.  If you cannot you may need to install these packages.  There are lots of online directions on how to install these packages. 

3. The last thing of importance is to create a repository for this course - either on public GitHub, or Drexel's GitLab.  From the [README](./readme.md) there is an excellent tutorial on how do do this for both environments.

#### Questions to Answer
Please provide answers to these questions using markdown notation and place them in the `\0-Warmup` directory in your git repository:

1. Select with an `x` the platform you will be using for your course deliverables:

    - [x] drexel's tux cluster
    - [ ] WSL on Windows
    - [ ] Orbstack on MacOs
    - [ ] VMWare Fusion
    - [ ] Somthing else (put name here)

2. I have installed my virtual machine, tested it, feel comfortable using it, and validated that the required software is installed:

    - [ ] YES
    - [x] N/A - I plan to use tux
    - [ ] NO - Not Yet


3. Please provide a link to the repository you are using for this class.

    https://gitlab.cci.drexel.edu/zc328/cs503zchen

4. Briefly describe what you want to get out of this class.

    - I would like to learn more about C/C++ and Linux in this course. 
    - I would like to improve my skills in programming.

5. Briefly describe any concerns you might be having with being successful in this class (if any).

    N/A